DAT programName         byte "EncodersDemo140726a", 0     
CON
{{
  ******* Public Notes *******

  The object uses three cogs. One to read the four
  quadrature encoders. One for serial driver and
  one for the main loop of this top object.
  
}}
{
  ******* Private Notes *******

  140726a Rename and clean up prior to posting to forum.

} 
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000       '80 MHz

  FIRST_PIN_0 = 21  
  FIRST_PIN_1 = 0
  FIRST_PIN_2 = 15
  FIRST_PIN_3 = 13

  DEBUG_BAUD = 115_200
                  
VAR
 
  long loopStack[100]
  long encoderCount[Encoders#TOTAL_ENCODERS], encoderSpeed[Encoders#TOTAL_ENCODERS]
   
OBJ

  Pst : "Parallax Serial Terminal"
  Encoders : "FourQuadratureEncoders130215a"
   
PUB Setup
   
  Pst.Start(DEBUG_BAUD)

  Encoders.StartEncoders(@encoderPin, @encoderCount, @encoderSpeed)
 
  MainLoop

PUB MainLoop

  repeat
    Pst.Home
    Pst.Str(string("  Encoder Demo"))
    NewLine
    repeat result from 0 to 3
      NewLine
      Pst.Str(string("encoderCount["))
      Pst.Dec(result)
      Pst.Str(string("] = "))
      Pst.Dec(encoderCount[result])
      NewLine
      Pst.Str(string("encoderSpeed["))
      Pst.Dec(result)
      Pst.Str(string("] = "))
      Pst.Dec(encoderSpeed[result])
    NewLine
    Pst.ClearBelow
     
PUB NewLine

  Pst.ClearEnd
  Pst.Newline
      
DAT

encoderPin    byte FIRST_PIN_0, FIRST_PIN_1, FIRST_PIN_2, FIRST_PIN_3 

DAT '' License
{{
*********************************************************************************************
*                             TERMS OF USE: MIT License                                     *                                                                   
*********************************************************************************************
* Permission is hereby granted, free of charge, to any person obtaining a copy of this      *
* software and associated documentation files (the "Software"), to deal in the Software     *
* without restriction, including without limitation the rights to use, copy, modify,        *
* merge, publish, distribute, sublicense, and/or sell copies of the Software, and to        *
* permit persons to whom the Software is furnished to do so, subject to the following       *
* conditions:                                                                               *
*                                                                                           *                                    
* The above copyright notice and this permission notice shall be included in all copies or  *
* substantial portions of the Software.                                                     *
*                                                                                           *                                   
* The software is provided "as is", without warranty of any kind, express or implied,       *
* including but not limited to the warranties of merchantability, fitness for a particular  *
* and noninfringment. In no event shall the authors or copyright holders be liable for any  *
* claim, damages or other liability, whether in an action of contract, tort or otherwise,   *
* arising from, of or in connection with the software of the use of other dealings in the   *
* software.                                                                                 *
*********************************************************************************************
}}            